Loading...
Searching...
No Matches
form_expr_v2_variational_binary_field< BinaryFunction, Expr1, Expr2 >::evaluate_switch< This, ValueType, Arg1, Arg1Tag, Arg2, Arg2Tag >

## Detailed Description

template<class BinaryFunction, class Expr1, class Expr2>
template<class This, class ValueType, class Arg1, space_constant::valued_type Arg1Tag, class Arg2, space_constant::valued_type Arg2Tag>
struct rheolef::details::form_expr_v2_variational_binary_field< BinaryFunction, Expr1, Expr2 >::evaluate_switch< This, ValueType, Arg1, Arg1Tag, Arg2, Arg2Tag >

Definition at line 514 of file form_expr_variational.h.

## Public Types

typedef This::float_type | float_type
typedef This::memory_type | memory_type

## Public Member Functions

void | operator() (const This &obj, const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Tensor< ValueType, 3 > &value) const
void | operator() (const This &obj, const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Tensor< ValueType, 3 > &value) const

## Member Typedef Documentation

## float_type

template<class BinaryFunction , class Expr1 , class Expr2 >
template<class This , class ValueType , class Arg1 , space_constant::valued_type Arg1Tag, class Arg2 , space_constant::valued_type Arg2Tag>

typedef This::float_type float_type

Definition at line 515 of file form_expr_variational.h.

## memory_type

template<class BinaryFunction , class Expr1 , class Expr2 >
template<class This , class ValueType , class Arg1 , space_constant::valued_type Arg1Tag, class Arg2 , space_constant::valued_type Arg2Tag>

typedef This::memory_type memory_type

Definition at line 516 of file form_expr_variational.h.

## Member Function Documentation

## operator()() [1/2]

template<class BinaryFunction , class Expr1 , class Expr2 >
template<class This , class ValueType , class Arg1 , space_constant::valued_type Arg1Tag, class Arg2 , space_constant::valued_type Arg2Tag>

void operator() | ( | const This & | obj,
|  | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Tensor< ValueType, 3 > & | value
| ) |  | const

Definition at line 517 of file form_expr_variational.h.

## operator()() [2/2]

template<class BinaryFunction , class Expr1 , class Expr2 >
template<class This , class ValueType , class Arg1 , space_constant::valued_type Arg1Tag, class Arg2 , space_constant::valued_type Arg2Tag>

void operator() | ( | const This & | obj,
|  | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Tensor< ValueType, 3 > & | value
| ) |  | const

Definition at line 525 of file form_expr_variational.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/form_expr_variational.h